summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2013-06-22 00:06:53 +0000
committerMike Frysinger <vapier@gentoo.org>2013-06-22 00:06:53 +0000
commitf6d1938ee6bf9563ec4772250a9bc957b1dfbb08 (patch)
tree2707c1f8d4d61c3330447a7282a6cdc80902290a /eclass
parentbump (diff)
downloadhistorical-f6d1938ee6bf9563ec4772250a9bc957b1dfbb08.tar.gz
historical-f6d1938ee6bf9563ec4772250a9bc957b1dfbb08.tar.bz2
historical-f6d1938ee6bf9563ec4772250a9bc957b1dfbb08.zip
apache-module_src_install: do not clobber $PWD when changing dirs; use pushd+popd instead #471442
Diffstat (limited to 'eclass')
-rw-r--r--eclass/apache-module.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/apache-module.eclass b/eclass/apache-module.eclass
index c4532d43cdd7..b0e82e7651cf 100644
--- a/eclass/apache-module.eclass
+++ b/eclass/apache-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/apache-module.eclass,v 1.25 2011/12/27 17:55:12 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/apache-module.eclass,v 1.26 2013/06/22 00:06:53 vapier Exp $
# @ECLASS: apache-module.eclass
# @MAINTAINER:
@@ -176,7 +176,7 @@ apache-module_src_install() {
debug-print-function $FUNCNAME $*
local CD_DIR=$(apache_cd_dir)
- cd "${CD_DIR}" || die "cd ${CD_DIR} failed"
+ pushd "${CD_DIR}" >/dev/null || die "cd ${CD_DIR} failed"
local MOD_FILE=$(apache_mod_file)
@@ -207,6 +207,8 @@ apache-module_src_install() {
[[ -n "${OTHER_DOCS}" ]] && dodoc ${OTHER_DOCS}
[[ -n "${HTML_DOCS}" ]] && dohtml ${HTML_DOCS}
fi
+
+ popd >/dev/null
}
# @FUNCTION: apache-module_pkg_postinst